%define _buildid .3

# Metapackage that steers the user toward a particular version of ruby,
# for ruby itself and its core packages/rubygems.

%global ruby_basever 20

Summary: A dynamic, object-oriented scripting language
Name: ruby
Epoch: 1
Version: 2.0
Release: 0%{?_buildid}%{?dist}

Requires: ruby%{ruby_basever}
Requires(post): %{_sbindir}/alternatives
Requires(preun): %{_sbindir}/alternatives

License: (Ruby or BSD) and Public Domain
Group: Development/Languages

URL: https://www.ruby-lang.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Ruby is an interpreted scripting language for quick and easy object-oriented
programming. It has many features to process text files and to do system
management tasks (as in Perl). It is simple, straight-forward, and extensible.


%package devel
Summary: A Ruby development environment
Group: Development/Languages
Requires: ruby%{ruby_basever}-devel
%description devel
Header files and libraries for building an extension library for
Ruby or an application embedding Ruby.


%package doc
Summary: Documentation for Ruby
Group: Documentation
Requires: ruby%{ruby_basever}-doc
%description doc
This package contains documentation for Ruby.


%package libs
Summary: Libraries necessary to run Ruby
Group: Development/Libraries
Requires: ruby%{ruby_basever}-libs
%description libs
This package includes libruby, necessary to run Ruby.


%package irb
Summary: The Interactive Ruby
Group: Development/Libraries
Requires: ruby%{ruby_basever}-irb
%description irb
irb is acronym for Interactive Ruby.  It evaluates ruby expressions
from the terminal.


%package -n rubygems
Summary: The Ruby standard for packaging ruby libraries
Group: Development/Libraries
Requires: rubygems%{ruby_basever}
%description -n rubygems
RubyGems is the Ruby standard for publishing and managing third party
libraries.


%package -n rubygems-devel
Summary: Macros and development tools for packaging RubyGems
Group: Development/Libraries
Requires: rubygems%{ruby_basever}-devel
%description -n rubygems-devel
Macros and development tools for packaging RubyGems.


%package -n rubygem-bigdecimal
Summary: BigDecimal provides arbitrary-precision floating point decimal arithmetic
Group: Development/Libraries
Requires: rubygem%{ruby_basever}-bigdecimal
%description -n rubygem-bigdecimal
Ruby provides built-in support for arbitrary precision integer arithmetic.
For example:

42**13 -> 1265437718438866624512

BigDecimal provides similar support for very large or very accurate floating
point numbers. Decimal arithmetic is also useful for general calculation,
because it provides the correct answers people expect, whereas normal binary
floating point arithmetic often introduces subtle errors because of the
conversion between base 10 and base 2.


%package -n rubygem-io-console
Summary: IO/Console adds console capabilities to IO instances
Group: Development/Libraries
Requires: rubygem%{ruby_basever}-io-console
%description -n rubygem-io-console
IO/Console provides very simple and portable access to console. It doesn't
provide higher layer features, such as curses or readline.


%package -n rubygem-json
Summary: This is a JSON implementation as a Ruby extension in C
Group: Development/Libraries
Requires: rubygem%{ruby_basever}-json
%description -n rubygem-json
This is a implementation of the JSON specification according to RFC 4627.
You can think of it as a low-fat alternative to XML, if you want to store
data to disk or transmit it over a network rather than use a verbose
markup language.


%package -n rubygem-psych
Summary: A libyaml wrapper for Ruby
Group: Development/Libraries
Requires: rubygem%{ruby_basever}-psych
%description -n rubygem-psych
Psych is a YAML parser and emitter. Psych leverages
libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting
capabilities. In addition to wrapping libyaml, Psych also knows how to
serialize and de-serialize most Ruby objects to and from the YAML format.


%package -n rubygem-minitest
Summary: Minitest provides a complete suite of testing facilities
Group: Development/Libraries
Requires: rubygem%{ruby_basever}-minitest
%description -n rubygem-minitest
minitest/unit is a small and incredibly fast unit testing framework.

minitest/spec is a functionally complete spec engine.

minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner.

minitest/mock by Steven Baker, is a beautifully tiny mock object
framework.

minitest/pride shows pride in testing and adds coloring to your test
output.


%package -n rubygem-rake
Summary: Ruby based make-like utility
Group: Development/Libraries
Requires: rubygem%{ruby_basever}-rake
%description -n rubygem-rake
Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.


%package -n rubygem-rdoc
Summary: A tool to generate HTML and command-line documentation for Ruby projects
Group: Development/Libraries
Requires: rubygem%{ruby_basever}-rdoc
%description -n rubygem-rdoc
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the 'rdoc' and 'ri' tools for generating and displaying online
documentation.


%prep
exit 0

%build
exit 0

%install
rm -fr %{buildroot}
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%files devel
%defattr(-,root,root,-)

%files doc
%defattr(-,root,root,-)

%files libs
%defattr(-,root,root,-)

%files irb
%defattr(-,root,root,-)

%files -n rubygems
%defattr(-,root,root,-)

%files -n rubygems-devel
%defattr(-,root,root,-)

%files -n rubygem-bigdecimal
%defattr(-,root,root,-)

%files -n rubygem-io-console
%defattr(-,root,root,-)

%files -n rubygem-json
%defattr(-,root,root,-)

%files -n rubygem-psych
%defattr(-,root,root,-)

%files -n rubygem-minitest
%defattr(-,root,root,-)

%files -n rubygem-rake
%defattr(-,root,root,-)

%files -n rubygem-rdoc
%defattr(-,root,root,-)

%changelog
* Mon Mar 17 2014 Tom Kirchner <tjk@amazon.com>
- Bump Epoch to 1 so metapackage takes priority

* Thu Mar 13 2014 Tom Kirchner <tjk@amazon.com>
- Initial ruby metapackage spec

* Tue Mar 11 2014 Thomas Kirchner <tjk@amazon.com> - 2.0
- Create ruby metapackage.
